package singlejartest;

import java.awt.Color;
import java.util.List;

import singlejartest.data.Price;

public class ChartSeries {
	String Symbol;
	Color Colour;
	public boolean IsInverted;
	public boolean IsHidden;
	public List<Price> Series;
	public int MaxIndex;
	public int MinIndex;
	public int LastIndex;
	
	public ChartSeries(String symbol, Color colour) {
		Symbol = symbol;
		Colour = colour;
		
		IsHidden = false;
		IsInverted = false;
		
		MaxIndex = -1;
		MinIndex = -1;
		LastIndex = 0;
	}
	
	public ChartSeries(String symbol, Color colour, String CCy) {
		Symbol = symbol;
		Colour = colour;
		
		IsHidden = false;
		
		MaxIndex = -1;
		MinIndex = -1;
		LastIndex = 0;
		
		if(symbol.indexOf(CCy) == 0) { IsInverted = false; } else { IsInverted = true; }
	}
}
